Skip to content

Preview Gift Receipt

Request

Sends out a preview of the gift receipt email

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

Bodyapplication/jsonrequired

The domain_name to use to for record lookup

destination_email_addressstring(Destination Email Address)required
email_templateobject(Email Template)
gift_idstring(Gift)
pledge_idstring(Pledge)required
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/gifts/{tenantId}/previewReceipt' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "destination_email_address": "string",
    "email_template": {
      "bcc": "string",
      "body": "string",
      "cc": "string",
      "from": "string",
      "from_name": "string",
      "reply_to": "string",
      "subject": "string"
    },
    "gift_id": "string",
    "pledge_id": "string"
  }'

Responses

The record was retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring